Artifacts - List
Gets all artifacts for a build.
GET https://dev.azure.com/{organization}/{project}/_apis/build/builds/{buildId}/artifacts?api-version=5.0
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
build
|
path | True |
|
The ID of the build. |
|
organization
|
path | True |
|
The name of the Azure DevOps organization. |
|
project
|
path | True |
|
Project ID or project name |
|
api-version
|
query | True |
|
Version of the API to use. This should be set to '5.0' to use this version of the api. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
oauth2
Type:
oauth2
Flow:
accessCode
Authorization URL:
https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
Token URL:
https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer
Scopes
| Name | Description |
|---|---|
| vso.build | Grants the ability to access build artifacts, including build results, definitions, and requests, and the ability to receive notifications about build events via service hooks. |
Definitions
|
Artifact |
|
|
Build |
Represents an artifact produced by a build. |
|
Reference |
The class to represent a collection of REST reference links. |
ArtifactResource
| Name | Type | Description |
|---|---|---|
| _links |
The class to represent a collection of REST reference links. |
|
| data |
|
Type-specific data about the artifact. |
| downloadUrl |
|
A link to download the resource. |
| properties |
|
Type-specific properties of the artifact. |
| type |
|
The type of the resource: File container, version control folder, UNC path, etc. |
| url |
|
The full http link to the resource. |
BuildArtifact
Represents an artifact produced by a build.
| Name | Type | Description |
|---|---|---|
| id |
|
The artifact ID. |
| name |
|
The name of the artifact. |
| resource |
The actual resource. |
ReferenceLinks
The class to represent a collection of REST reference links.
| Name | Type | Description |
|---|---|---|
| links |
|
The readonly view of the links. Because Reference links are readonly, we only want to expose them as read only. |